package cn.com.qmth.examcloud.examwork.api.client;

import cn.com.qmth.examcloud.examwork.api.ExamCloudService;
import cn.com.qmth.examcloud.examwork.api.request.*;
import cn.com.qmth.examcloud.examwork.api.response.*;
import org.springframework.stereotype.Service;

/**
 * @author chenken
 * @date 2018年5月3日 上午9:18:19
 * @company QMTH
 * @description ExamClient.java
 */
@Service
public class ExamCloudServiceClient extends AbstractCloudClientSupport implements ExamCloudService {

    private static final long serialVersionUID = -2880611326177571371L;

    @Override
    public SaveExamResp saveExam(SaveExamReq req) {
        return post("exam/saveExam", req, SaveExamResp.class);
    }

    @Override
    public GetExamResp getExam(GetExamReq req) {
        return post("exam/getExam", req, GetExamResp.class);
    }

    @Override
    public SetExamPropertyResp setExamProperty(SetExamPropertyReq req) {
        return post("exam/setExamProperty", req, SetExamPropertyResp.class);
    }

    @Override
    public GetExamPropertyResp getExamProperty(GetExamPropertyReq req) {
        return post("exam/getExamProperty", req, GetExamPropertyResp.class);
    }

    @Override
    public GetExamPropertyListResp getExamPropertyList(GetExamPropertyListReq req) {
        return post("exam/getExamPropertyList", req, GetExamPropertyListResp.class);
    }

    @Override
    public GetOngoingExamListResp getOngoingExamList(GetOngoingExamListReq req) {
        return post("exam/getOngoingExamList", req, GetOngoingExamListResp.class);
    }

    @Override
    public LockExamStudentsResp lockExamStudents(LockExamStudentsReq req) {
        return post("exam/lockExamStudents", req, LockExamStudentsResp.class);
    }

    @Override
    public UnlockExamStudentsResp unlockExamStudents(UnlockExamStudentsReq req) {
        return post("exam/unlockExamStudents", req, UnlockExamStudentsResp.class);
    }

    @Override
    public GetExamListResp getExamList(GetExamListReq req) {
        return post("exam/getExamList", req, GetExamListResp.class);
    }

    @Override
    public GetExamCourseListResp getExamCourseList(GetExamCourseListReq req) {
        return post("exam/getExamCourseList", req, GetExamCourseListResp.class);
    }

    @Override
    public GetExamCoursePaperTypeListResp getExamCoursePaperTypeList(
            GetExamCoursePaperTypeListReq req) {
        return post("exam/getExamCoursePaperTypeList", req, GetExamCoursePaperTypeListResp.class);
    }

    @Override
    public CountExamStudentResp countExamStudent(CountExamStudentReq req) {
        return post("exam/countExamStudent", req, CountExamStudentResp.class);
    }

    @Override
    public GetExamOrgListResp getExamOrgList(GetExamOrgListReq req) {
        return post("exam/getExamOrgList", req, GetExamOrgListResp.class);
    }

    @Override
    public GetExamStudentPropertyValueListResp getExamStudentPropertyValueList(
            GetExamStudentPropertyValueListReq req) {
        return post("exam/getExamStudentPropertyValueList", req,
                GetExamStudentPropertyValueListResp.class);
    }

    @Override
    public GetExamsByIdListResp getExamsByIdList(GetExamsByIdListReq req) {
        return post("exam/getExamsByIdList", req, GetExamsByIdListResp.class);
    }

    @Override
    public GetExamsResp getExams(GetExamsReq req) {
        return post("exam/getExams", req, GetExamsResp.class);
    }

    @Override
    public SaveStudentSpecialSettingsResp saveStudentSpecialSettings(
            SaveStudentSpecialSettingsReq req) {
        return post("exam/saveStudentSpecialSettings", req, SaveStudentSpecialSettingsResp.class);
    }

    @Override
    public GetExamMapsResp getExamMaps(GetExamMapsReq req) {
        return post("exam/getExamMaps", req, GetExamMapsResp.class);
    }

}
